PlatformManagedObject (Java Platform SE 8 )
Keywords: java.lang.management.PlatformManagedObject interface
Date: 2026-04-17

compact3
java.lang.management

## Interface PlatformManagedObject

- All Known Subinterfaces:
    BufferPoolMXBean, ClassLoadingMXBean, CompilationMXBean, GarbageCollectorMXBean, MemoryManagerMXBean, MemoryMXBean, MemoryPoolMXBean, OperatingSystemMXBean, PlatformLoggingMXBean, RuntimeMXBean, ThreadMXBean

      public interface PlatformManagedObject

  A platform managed object is a JMX MXBean for monitoring and managing a component in the Java platform. Each platform managed object has a unique object name for the platform MBeanServer access. All platform MXBeans will implement this interface.

  Note: The platform MXBean interfaces (i.e. all subinterfaces of `PlatformManagedObject`) are implemented by the Java platform only. New methods may be added in these interfaces in future Java SE releases. In addition, this `PlatformManagedObject` interface is only intended for the management interfaces for the platform to extend but not for applications.

  Since:
    1.7
  See Also:
    `ManagementFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectName` | `getObjectName()` Returns an `ObjectName` instance representing the object name of this platform managed object.

- - ### Method Detail

    - #### getObjectName

          ObjectName getObjectName()

      Returns an `ObjectName` instance representing the object name of this platform managed object.
      Returns:
        an `ObjectName` instance representing the object name of this platform managed object.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.